varying lowp vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform mat4 u_projTrans;
uniform float darknessCoeff;

void main() {  vec4 tex = texture2D(u_texture, v_texCoords);
  float gray = (tex.r + tex.g + tex.b) / darknessCoeff;
  vec4 pixel = vec4(gray, gray, gray, tex.a * v_color.a);
  gl_FragColor = vec4(pixel);
}