varying lowp vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform mat4 u_projTrans;

void main() {  vec4 tex = texture2D(u_texture, v_texCoords);
  float gray = 0.21 * tex.r + 0.72 * tex.g + 0.07 * tex.b;
  vec4 pixel = vec4(gray, gray, gray, tex.a * v_color.a);
  gl_FragColor = vec4(pixel);
}